import __main__
__main__.__requires__ = ['SQLAlchemy >= 0.7', 'jinja2 >= 2.6']
import pkg_resources

from setuptools import setup, Command
import codecs
import re
import os

here = os.path.abspath(os.path.dirname(__file__))

class PyTest(Command):
    user_options = []
    def initialize_options(self):
        pass
    def finalize_options(self):
        pass
    def run(self):
        import subprocess
        errno = subprocess.call(['py.test',  'testing'])
        raise SystemExit(errno)

def read(*parts):
    return codecs.open(os.path.join(here, *parts), 'r').read()

def find_version(*file_paths):
    version_file = read(*file_paths)
    version_match = re.search(r"^__version__ = ['\"]([^'\"]*)['\"]",
                              version_file, re.M)
    if version_match:
        return version_match.group(1)
    raise RuntimeError("Unable to find version string.")

setup(name='blockerbugs',
      version=find_version('blockerbugs', '__init__.py'),
      description='Web application for tracking blocker and nth bugs in Fedora releases',
      author='Tim Flink',
      author_email='tflink@fedoraproject.org',
      license='GPLv2+',
      url='https://fedorahosted.org/fedora-qa',
      packages=['blockerbugs', 'blockerbugs.controllers',
                'blockerbugs.util', 'blockerbugs.models'],
      package_dir={'blockerbugs':'blockerbugs'},
      entry_points=dict(console_scripts=['blockerbugs=blockerbugs.cli:main']),
      include_package_data=True,
      cmdclass = {'test' : PyTest},
      install_requires = [
        'pytest>=2.2.4',
        'Flask==0.9',
        'Flask-SQLAlchemy==0.16',
        'SQLAlchemy>= 0.7',
        'bunch==1.0.1',
        'python-bugzilla>=0.8',
        'Flask-SQLAlchemy==0.16',
        'WTForms>1.0',
        'Flask-WTF>=0.8',
        'kitchen>=1.1.1',
        'python-fedora>=0.3.29',
        'pycurl>=7.19.0',
        # removing Flask-FAS as a requirement - there is no egg info with the 
        # rpm and it is causing problems in the packaged version
        #'Flask-FAS',
        'alembic'
     ]
     )
